<?php

namespace Tests\Constraint;

/**
 * Class NotBlankTest
 * @package Tests\Constraint
 */
class NotBlankTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @var \Form\Constraint\NotBlank
     */
    protected $constraint;

    public function setUp(): void
    {
        $this->constraint = new \Form\Constraint\NotBlank();
    }

    public function testValueIsValid()
    {
        $value = 'not empty';
        $result = $this->constraint->isValid($value);

        $this->assertTrue($result);
    }

    public function testValueIsNotValid()
    {
        $value = '';
        $result = $this->constraint->isValid($value);

        $this->assertFalse($result);
    }
}
