<?php

namespace Tests\Constraint;

/**
 * Class MailTest
 * @package Tests\Constraint
 */
class MailTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @var \Form\Constraint\Mail
     */
    protected $constraint;

    public function setUp(): void
    {
        $this->constraint = new \Form\Constraint\Mail();
    }

    public function testValueIsValid()
    {
        $email = 'name@domain.org';
        $result = $this->constraint->isValid($email);

        $this->assertTrue($result);
    }

    public function testValueIsNotValid()
    {
        $email = 'name@domain';
        $result = $this->constraint->isValid($email);

        $this->assertFalse($result);
    }
}
